Loading...
Searching...
No Matches
halide_filter_argument_t_v0 Struct Reference

Obsolete version of halide_filter_argument_t; only present in code that wrote halide_filter_metadata_t version 0. More...

`#include <HalideRuntime.h>`

## Public Attributes

const char * | name
int32_t | kind
int32_t | dimensions
struct halide_type_t | type
const struct halide_scalar_value_t * | def
const struct halide_scalar_value_t * | min
const struct halide_scalar_value_t * | max

## Detailed Description

Obsolete version of halide_filter_argument_t; only present in code that wrote halide_filter_metadata_t version 0.

Definition at line 1784 of file HalideRuntime.h.

## Member Data Documentation

## name

const char* halide_filter_argument_t_v0::name

Definition at line 1785 of file HalideRuntime.h.

## kind

int32_t halide_filter_argument_t_v0::kind

Definition at line 1786 of file HalideRuntime.h.

## dimensions

int32_t halide_filter_argument_t_v0::dimensions

Definition at line 1787 of file HalideRuntime.h.

## type

struct halide_type_t halide_filter_argument_t_v0::type

Definition at line 1788 of file HalideRuntime.h.

## def

const struct halide_scalar_value_t* halide_filter_argument_t_v0::def

Definition at line 1789 of file HalideRuntime.h.

## min

const struct halide_scalar_value_t * halide_filter_argument_t_v0::min

Definition at line 1789 of file HalideRuntime.h.

## max

const struct halide_scalar_value_t * halide_filter_argument_t_v0::max

Definition at line 1789 of file HalideRuntime.h.

The documentation for this struct was generated from the following file:

- src/runtime/HalideRuntime.h